AI Sync

PowerLists

PowerList Upload Status

GEThttps://app.aisync.link/api/powerlists/upload-status
PowerList Upload Status
curl --request GET \
  --url https://app.aisync.link/api/powerlists/upload-status \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "error": null,
    "result": null,
    "status": "pending",
    "queue_id": "abc"
  },
  "success": true
}

PowerList Upload Status#

Returns the progress of a powerlist file upload.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

queue_idstringqueryrequired

Queue id returned when the upload started

curl --request GET \
  --url 'https://app.aisync.link/api/powerlists/upload-status?queue_id=' \
  --header 'Authorization: Bearer {{bearer_token}}'
data.statusstring

For example pending